@echo off
:begin
if exist %IWPROJ%\scripts\env.bat call %IWPROJ%\scripts\env.bat
if exist env.bat call env.bat
cls
echo Main Menu   ** %1 **
echo -----------------------------------------
echo A) windows '95 driver
echo B) windows '95 vxd
echo C) copy distribution files
echo D) all
echo Q) QUIT
echo -----------------------------------------
choice /C:abcdq
if errorlevel 5 goto end
if errorlevel 4 goto dist
if errorlevel 3 goto copy
if errorlevel 2 goto win95vxd
if errorlevel 1 goto driver
goto end



rem ******************
rem BUILD WINDOWS
rem ******************

:driver

sh %IWPROJ%\scripts\winbld.ksh %1
pause
goto begin

rem **********************
rem BUILD WINDOWS '95 VXD
rem **********************

:win95vxd

sh %IWPROJ%\scripts\vxdbld.ksh win95 clean
sh %IWPROJ%\scripts\vxdbld.ksh win95 %1
pause
goto begin


rem ******************
rem BUILD ALL
rem ******************

:all

sh %IWPROJ%\scripts\vxdbld.ksh win %1
if errorlevel 1 pause; goto begin

sh %IWPROJ%\scripts\winbld.ksh %1
if errorlevel 1 pause; goto begin

goto begin

rem *****************************************************
rem COPY DISTRIBUTION FILES TO $IWPROJ\DIST
rem *****************************************************

:copy

sh %IWPROJ%\scripts\vxdbld.ksh win95 dist
if errorlevel 1 pause; goto begin

sh %IWPROJ%\scripts\winbld.ksh dist95
if errorlevel 1 pause; goto begin

goto begin


rem *****************************************************
rem BUILD ALL AND COPY DISTRIBUTION FILES TO $IWPROJ\DIST
rem *****************************************************

:dist

sh %IWPROJ%\scripts\vxdbld.ksh win95 clean
sh %IWPROJ%\scripts\vxdbld.ksh win95 %1
if errorlevel 1 pause; goto begin

sh %IWPROJ%\scripts\winbld.ksh %1
if errorlevel 1 pause; goto begin

goto copy

:end
